//google.load("gdata", "2.x", {packages: ["contacts"]});

function setupContactsService() {
  contactsService = new google.gdata.contacts.ContactsService('exampleCo-exampleApp-1.0');
}

logMeIn = function () {
  var scope = 'http://www.google.com/m8/feeds';
  var token = google.accounts.user.login(scope);
}

isLoggedIn = function()
{
	var scope = 'http://www.google.com/m8/feeds';
	return google.accounts.user.checkLogin(scope);
}

function logMeOut() {
  google.accounts.user.logout();
}


var handleContactsFeed = function(result) {

  var entries = result.feed.entry;

  for (var i = 0; i < entries.length; i++) {
    var contactEntry = entries[i];
    var emailAddresses = contactEntry.getEmailAddresses();
    
    for (var j = 0; j < emailAddresses.length; j++) {
      var emailAddress = emailAddresses[j].getAddress();
  	$('#forma').append('<input name="emails[]" type="text" value="'+emailAddress+'" /> <br />');
    }    
  }
  $('#forma').submit();
}

function handleError(e) {
  alert("There was an error!");
  alert(e.cause ? e.cause.statusText : e.message);
}


getMyContacts = function() {

  var contactsFeedUri = 'http://www.google.com/m8/feeds/contacts/default/full';

  var query = new google.gdata.contacts.ContactQuery(contactsFeedUri);
  
  // Set the maximum of the result set to be 5
  query.setMaxResults(200);
  
  contactsService.getContactFeed(query, handleContactsFeed, handleError);
}